import Vinyl from 'vinyl';

type Source = string | Vinyl;
type Options = string | string[] | ValidatedOptions;
type ValidatedOptions = {
    potSources?: Source | Source[];
    poSources?: string | string[] | null;
    srcDir?: string;
    domainInPOPath?: boolean;
    domainFromPOTPath?: boolean;
    domain?: string;
    srcGlobOptions?: object;
    wrapLength?: number;
    defaultContextAsFallback?: boolean;
    appendNonIncludedFromPO?: boolean;
    includePORevisionDate?: boolean;
    includeGenerator?: boolean;
    returnPOT?: boolean;
    writeFiles?: boolean;
    destDir?: string;
    logResults?: boolean;
};

type AsyncCallbackResult = [true, Vinyl[]] | [false, string];
type AsyncCallback = (result: AsyncCallbackResult) => unknown;
declare const _default$1: (cb: AsyncCallback, options: Options) => void;

declare const _default: (options: Options) => Vinyl[];

declare const testOptions: {
    wrapLength: number;
    defaultContextAsFallback: boolean;
    appendNonIncludedFromPO: boolean;
    includePORevisionDate: boolean;
    includeGenerator: boolean;
};

export { _default$1 as default, _default as sync, testOptions };
